### Method

# FwupdPlugin Context get_plugin_names_for_udev_subsystem

since: 1.9.3

#### Declaration [src]

    GPtrArray*
    fu_context_get_plugin_names_for_udev_subsystem (
      FuContext* self,
      const gchar* subsystem,
      GError** error
    )

#### Description [src]

Gets the plugins which registered for a specific subsystem.

Available since: 1.9.3

#### Parameters

`subsystem`

  Type: `const gchar*`

  A subsystem name, e.g. `pciport`, or `block:partition`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

List of plugin names.

The caller of the method takes ownership of the data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.